diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/fdtbfq-ff-mac-scheduler.cc ns-3.41/src/lte/model/fdtbfq-ff-mac-scheduler.cc
--- ns-3.40/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2023-09-27 13:30:37.814839600 -0700
+++ ns-3.41/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2024-02-09 14:44:08.181792000 -0800
@@ -192,31 +192,25 @@
         m_dlHarqCurrentProcessId.insert(std::pair<uint16_t, uint8_t>(params.m_rnti, 0));
         DlHarqProcessesStatus_t dlHarqPrcStatus;
         dlHarqPrcStatus.resize(8, 0);
-        m_dlHarqProcessesStatus.insert(
-            std::pair<uint16_t, DlHarqProcessesStatus_t>(params.m_rnti, dlHarqPrcStatus));
+        m_dlHarqProcessesStatus[params.m_rnti] = dlHarqPrcStatus;
         DlHarqProcessesTimer_t dlHarqProcessesTimer;
         dlHarqProcessesTimer.resize(8, 0);
-        m_dlHarqProcessesTimer.insert(
-            std::pair<uint16_t, DlHarqProcessesTimer_t>(params.m_rnti, dlHarqProcessesTimer));
+        m_dlHarqProcessesTimer[params.m_rnti] = dlHarqProcessesTimer;
         DlHarqProcessesDciBuffer_t dlHarqdci;
         dlHarqdci.resize(8);
-        m_dlHarqProcessesDciBuffer.insert(
-            std::pair<uint16_t, DlHarqProcessesDciBuffer_t>(params.m_rnti, dlHarqdci));
+        m_dlHarqProcessesDciBuffer[params.m_rnti] = dlHarqdci;
         DlHarqRlcPduListBuffer_t dlHarqRlcPdu;
         dlHarqRlcPdu.resize(2);
         dlHarqRlcPdu.at(0).resize(8);
         dlHarqRlcPdu.at(1).resize(8);
-        m_dlHarqProcessesRlcPduListBuffer.insert(
-            std::pair<uint16_t, DlHarqRlcPduListBuffer_t>(params.m_rnti, dlHarqRlcPdu));
+        m_dlHarqProcessesRlcPduListBuffer[params.m_rnti] = dlHarqRlcPdu;
         m_ulHarqCurrentProcessId.insert(std::pair<uint16_t, uint8_t>(params.m_rnti, 0));
         UlHarqProcessesStatus_t ulHarqPrcStatus;
         ulHarqPrcStatus.resize(8, 0);
-        m_ulHarqProcessesStatus.insert(
-            std::pair<uint16_t, UlHarqProcessesStatus_t>(params.m_rnti, ulHarqPrcStatus));
+        m_ulHarqProcessesStatus[params.m_rnti] = ulHarqPrcStatus;
         UlHarqProcessesDciBuffer_t ulHarqdci;
         ulHarqdci.resize(8);
-        m_ulHarqProcessesDciBuffer.insert(
-            std::pair<uint16_t, UlHarqProcessesDciBuffer_t>(params.m_rnti, ulHarqdci));
+        m_ulHarqProcessesDciBuffer[params.m_rnti] = ulHarqdci;
     }
     else
     {
@@ -357,9 +351,7 @@
 
     if (it == m_rlcBufferReq.end())
     {
-        m_rlcBufferReq.insert(
-            std::pair<LteFlowId_t, FfMacSchedSapProvider::SchedDlRlcBufferReqParameters>(flow,
-                                                                                         params));
+        m_rlcBufferReq[flow] = params;
     }
     else
     {
@@ -390,11 +382,11 @@
     {
         if (dlbandwidth < FdTbfqType0AllocationRbg[i])
         {
-            return (i + 1);
+            return i + 1;
         }
     }
 
-    return (-1);
+    return -1;
 }
 
 unsigned int
@@ -414,7 +406,7 @@
             break;
         }
     }
-    return (lcActive);
+    return lcActive;
 }
 
 bool
@@ -448,7 +440,7 @@
 
     if (!m_harqOn)
     {
-        return (0);
+        return 0;
     }
 
     auto it = m_dlHarqCurrentProcessId.find(rnti);
@@ -477,7 +469,7 @@
                        << rnti << " check before update with HarqProcessAvailability");
     }
 
-    return ((*it).second);
+    return (*it).second;
 }
 
 void
@@ -1243,8 +1235,7 @@
                 // insert new element
                 std::vector<uint16_t> tempMap;
                 tempMap.push_back(rbgIndex);
-                allocationMap.insert(
-                    std::pair<uint16_t, std::vector<uint16_t>>((*itMax).first, tempMap));
+                allocationMap[(*itMax).first] = tempMap;
                 itMap = allocationMap.find(
                     (*itMax).first); // point itMap to the first RBGs assigned to this UE
             }
@@ -1572,9 +1563,8 @@
             if (it == m_p10CqiRxed.end())
             {
                 // create the new entry
-                m_p10CqiRxed.insert(std::pair<uint16_t, uint8_t>(
-                    rnti,
-                    params.m_cqiList.at(i).m_wbCqi.at(0))); // only codeword 0 at this stage (SISO)
+                m_p10CqiRxed[rnti] =
+                    params.m_cqiList.at(i).m_wbCqi.at(0); // only codeword 0 at this stage (SISO)
                 // generate correspondent timer
                 m_p10CqiTimers.insert(std::pair<uint16_t, uint32_t>(rnti, m_cqiTimersThreshold));
             }
@@ -1595,9 +1585,7 @@
             if (it == m_a30CqiRxed.end())
             {
                 // create the new entry
-                m_a30CqiRxed.insert(
-                    std::pair<uint16_t, SbMeasResult_s>(rnti,
-                                                        params.m_cqiList.at(i).m_sbMeasResult));
+                m_a30CqiRxed[rnti] = params.m_cqiList.at(i).m_sbMeasResult;
                 m_a30CqiTimers.insert(std::pair<uint16_t, uint32_t>(rnti, m_cqiTimersThreshold));
             }
             else
@@ -1622,7 +1610,7 @@
     if (itCqi == m_ueCqi.end())
     {
         // no cqi info about this UE
-        return (NO_SINR);
+        return NO_SINR;
     }
     else
     {
@@ -1641,7 +1629,7 @@
         double estimatedSinr = (sinrNum > 0) ? (sinrSum / sinrNum) : DBL_MAX;
         // store the value
         (*itCqi).second.at(rb) = estimatedSinr;
-        return (estimatedSinr);
+        return estimatedSinr;
     }
 }
 
@@ -1787,8 +1775,7 @@
     {
         if (!ret.m_dciList.empty())
         {
-            m_allocationMaps.insert(
-                std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
+            m_allocationMaps[params.m_sfnSf] = rbgAllocationMap;
             m_schedSapUser->SchedUlConfigInd(ret);
         }
 
@@ -1917,8 +1904,7 @@
             //            {
             //              m_schedSapUser->SchedUlConfigInd (ret);
             //            }
-            //          m_allocationMaps.insert (std::pair <uint16_t, std::vector <uint16_t> >
-            //          (params.m_sfnSf, rbgAllocationMap)); return;
+            //          m_allocationMaps[params.m_sfnSf] = rbgAllocationMap; return;
             break;
         }
 
@@ -2036,8 +2022,7 @@
         }
     } while (((*it).first != m_nextRntiUl) && (rbPerFlow != 0));
 
-    m_allocationMaps.insert(
-        std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
+    m_allocationMaps[params.m_sfnSf] = rbgAllocationMap;
     m_schedSapUser->SchedUlConfigInd(ret);
 }
 
@@ -2155,11 +2140,9 @@
                         newCqi.push_back(NO_SINR);
                     }
                 }
-                m_ueCqi.insert(
-                    std::pair<uint16_t, std::vector<double>>((*itMap).second.at(i), newCqi));
+                m_ueCqi[(*itMap).second.at(i)] = newCqi;
                 // generate correspondent timer
-                m_ueCqiTimers.insert(
-                    std::pair<uint16_t, uint32_t>((*itMap).second.at(i), m_cqiTimersThreshold));
+                m_ueCqiTimers[(*itMap).second.at(i)] = m_cqiTimersThreshold;
             }
             else
             {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/ff-mac-scheduler.cc ns-3.41/src/lte/model/ff-mac-scheduler.cc
--- ns-3.40/src/lte/model/ff-mac-scheduler.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/ff-mac-scheduler.cc	2024-02-09 14:44:08.181792000 -0800
@@ -49,17 +49,18 @@
 TypeId
 FfMacScheduler::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::FfMacScheduler")
-                            .SetParent<Object>()
-                            .SetGroupName("Lte")
-                            .AddAttribute("UlCqiFilter",
-                                          "The filter to apply on UL CQIs received",
-                                          EnumValue(FfMacScheduler::SRS_UL_CQI),
-                                          MakeEnumAccessor(&FfMacScheduler::m_ulCqiFilter),
-                                          MakeEnumChecker(FfMacScheduler::SRS_UL_CQI,
-                                                          "SRS_UL_CQI",
-                                                          FfMacScheduler::PUSCH_UL_CQI,
-                                                          "PUSCH_UL_CQI"));
+    static TypeId tid =
+        TypeId("ns3::FfMacScheduler")
+            .SetParent<Object>()
+            .SetGroupName("Lte")
+            .AddAttribute("UlCqiFilter",
+                          "The filter to apply on UL CQIs received",
+                          EnumValue(FfMacScheduler::SRS_UL_CQI),
+                          MakeEnumAccessor<UlCqiFilter_t>(&FfMacScheduler::m_ulCqiFilter),
+                          MakeEnumChecker(FfMacScheduler::SRS_UL_CQI,
+                                          "SRS_UL_CQI",
+                                          FfMacScheduler::PUSCH_UL_CQI,
+                                          "PUSCH_UL_CQI"));
     return tid;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-amc.cc ns-3.41/src/lte/model/lte-amc.cc
--- ns-3.40/src/lte/model/lte-amc.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-amc.cc	2024-02-09 14:44:08.181792000 -0800
@@ -481,7 +481,7 @@
                 "AmcModel",
                 "AMC model used to assign CQI",
                 EnumValue(LteAmc::MiErrorModel),
-                MakeEnumAccessor(&LteAmc::m_amcModel),
+                MakeEnumAccessor<AmcModel>(&LteAmc::m_amcModel),
                 MakeEnumChecker(LteAmc::MiErrorModel, "Vienna", LteAmc::PiroEW2010, "PiroEW2010"));
     return tid;
 }
@@ -524,7 +524,7 @@
     NS_ASSERT_MSG(nprb > 0 && nprb < 111, "NPRB=" << nprb);
 
     int itbs = McsToItbsDl[mcs];
-    return (TransportBlockSizeTable[nprb - 1][itbs]);
+    return TransportBlockSizeTable[nprb - 1][itbs];
 }
 
 int
@@ -536,7 +536,7 @@
     NS_ASSERT_MSG(nprb > 0 && nprb < 111, "NPRB=" << nprb);
 
     int itbs = McsToItbsUl[mcs];
-    return (TransportBlockSizeTable[nprb - 1][itbs]);
+    return TransportBlockSizeTable[nprb - 1][itbs];
 }
 
 double
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-anr.cc ns-3.41/src/lte/model/lte-anr.cc
--- ns-3.40/src/lte/model/lte-anr.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-anr.cc	2024-02-09 14:44:08.181792000 -0800
@@ -16,12 +16,12 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * Original work authors (from lte-enb-rrc.cc):
- * - Nicola Baldo <nbaldo@cttc.es>
- * - Marco Miozzo <mmiozzo@cttc.es>
- * - Manuel Requena <manuel.requena@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Marco Miozzo <mmiozzo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  *
  * Converted to ANR interface by:
- * - Budiarto Herman <budiarto.herman@magister.fi>
+ *   Budiarto Herman <budiarto.herman@magister.fi>
  */
 
 #include "lte-anr.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-anr.h ns-3.41/src/lte/model/lte-anr.h
--- ns-3.40/src/lte/model/lte-anr.h	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-anr.h	2024-02-09 14:44:08.181792000 -0800
@@ -16,12 +16,12 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * Original work authors (from lte-enb-rrc.cc):
- * - Nicola Baldo <nbaldo@cttc.es>
- * - Marco Miozzo <mmiozzo@cttc.es>
- * - Manuel Requena <manuel.requena@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Marco Miozzo <mmiozzo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  *
  * Converted to ANR interface by:
- * - Budiarto Herman <budiarto.herman@magister.fi>
+ *   Budiarto Herman <budiarto.herman@magister.fi>
  */
 
 #ifndef LTE_ANR_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-common.cc ns-3.41/src/lte/model/lte-common.cc
--- ns-3.40/src/lte/model/lte-common.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-common.cc	2024-02-09 14:44:08.185792200 -0800
@@ -144,7 +144,7 @@
         val = -4096;
     }
     auto valFp = (int16_t)(val * 8);
-    return (valFp);
+    return valFp;
 }
 
 double
@@ -152,13 +152,13 @@
 {
     // convert from fixed point notation Sxxxxxxxxxxx.xxx to double
     double valD = ((int16_t)val) / 8.0;
-    return (valD);
+    return valD;
 }
 
 double
 LteFfConverter::getMinFpS11dot3Value()
 {
-    return (-4096); // -4096 = 0x8000 = 1000 0000 0000 0000 b
+    return -4096; // -4096 = 0x8000 = 1000 0000 0000 0000 b
 }
 
 // static double g_lowestFpS11dot3Value = -4096; // 0x8001 (1000 0000 0000 0000)
@@ -196,7 +196,7 @@
         }
     }
 
-    return (index);
+    return index;
 }
 
 uint8_t
@@ -227,7 +227,7 @@
         nLayer = 1;
         break;
     }
-    return (nLayer);
+    return nLayer;
 }
 
 double
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-enb-phy.cc ns-3.41/src/lte/model/lte-enb-phy.cc
--- ns-3.40/src/lte/model/lte-enb-phy.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-enb-phy.cc	2024-02-09 14:44:08.185792200 -0800
@@ -131,7 +131,7 @@
 uint8_t
 EnbMemberLteEnbPhySapProvider::GetMacChTtiDelay()
 {
-    return (m_phy->DoGetMacChTtiDelay());
+    return m_phy->DoGetMacChTtiDelay();
 }
 
 ////////////////////////////////////////
@@ -283,7 +283,7 @@
 LteEnbPhySapProvider*
 LteEnbPhy::GetLteEnbPhySapProvider()
 {
-    return (m_enbPhySapProvider);
+    return m_enbPhySapProvider;
 }
 
 void
@@ -297,7 +297,7 @@
 LteEnbPhy::GetLteEnbCphySapProvider()
 {
     NS_LOG_FUNCTION(this);
-    return (m_enbCphySapProvider);
+    return m_enbCphySapProvider;
 }
 
 void
@@ -359,7 +359,7 @@
 uint8_t
 LteEnbPhy::GetMacChDelay() const
 {
-    return (m_macChTtiDelay);
+    return m_macChTtiDelay;
 }
 
 Ptr<LteSpectrumPhy>
@@ -382,12 +382,12 @@
     if (it == m_ueAttached.end())
     {
         m_ueAttached.insert(rnti);
-        return (true);
+        return true;
     }
     else
     {
         NS_LOG_ERROR("UE already attached");
-        return (false);
+        return false;
     }
 }
 
@@ -399,12 +399,12 @@
     if (it == m_ueAttached.end())
     {
         NS_LOG_ERROR("UE not attached");
-        return (false);
+        return false;
     }
     else
     {
         m_ueAttached.erase(it);
-        return (true);
+        return true;
     }
 }
 
@@ -418,7 +418,7 @@
 uint8_t
 LteEnbPhy::DoGetMacChTtiDelay()
 {
-    return (m_macChTtiDelay);
+    return m_macChTtiDelay;
 }
 
 void
@@ -865,7 +865,7 @@
     ulcqi.m_ulCqi.m_type = UlCqi_s::PUSCH;
     for (auto it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
     {
-        double sinrdb = 10 * std::log10((*it));
+        double sinrdb = 10 * std::log10(*it);
         // NS_LOG_DEBUG ("ULCQI RB " << i << " value " << sinrdb);
         // convert from double to fixed point notation Sxxxxxxxxxxx.xxx
         int16_t sinrFp = LteFfConverter::double2fpS11dot3(sinrdb);
@@ -1012,7 +1012,7 @@
     double srsSum = 0.0;
     for (auto it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
     {
-        double sinrdb = 10 * log10((*it));
+        double sinrdb = 10 * log10(*it);
         //       NS_LOG_DEBUG ("ULCQI RB " << i << " value " << sinrdb);
         // convert from double to fixed point notation Sxxxxxxxxxxx.xxx
         int16_t sinrFp = LteFfConverter::double2fpS11dot3(sinrdb);
@@ -1030,7 +1030,7 @@
     ulcqi.m_vendorSpecificList.push_back(vsp);
     // call SRS tracing method
     CreateSrsReport(m_srsUeOffset.at(m_currentSrsOffset), (i > 0) ? (srsSum / i) : DBL_MAX);
-    return (ulcqi);
+    return ulcqi;
 }
 
 void
@@ -1076,7 +1076,7 @@
         m_ulDciQueue.erase(m_ulDciQueue.begin());
         std::list<UlDciLteControlMessage> l;
         m_ulDciQueue.push_back(l);
-        return (ret);
+        return ret;
     }
     else
     {
@@ -1084,7 +1084,7 @@
         std::list<UlDciLteControlMessage> l;
         m_ulDciQueue.push_back(l);
         std::list<UlDciLteControlMessage> emptylist;
-        return (emptylist);
+        return emptylist;
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-enb-rrc.cc ns-3.41/src/lte/model/lte-enb-rrc.cc
--- ns-3.40/src/lte/model/lte-enb-rrc.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-enb-rrc.cc	2024-02-09 14:44:08.185792200 -0800
@@ -15,12 +15,14 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Nicola Baldo <nbaldo@cttc.es>
- *          Marco Miozzo <mmiozzo@cttc.es>
- *          Manuel Requena <manuel.requena@cttc.es>
- * Modified by:  Danilo Abrignani <danilo.abrignani@unibo.it> (Carrier Aggregation - GSoC 2015),
- *               Biljana Bojovic <biljana.bojovic@cttc.es> (Carrier Aggregation)
- *               Vignesh Babu <ns3-dev@esk.fraunhofer.de> (RLF extensions)
+ * Authors:
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Marco Miozzo <mmiozzo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
+ * Modified by:
+ *   Danilo Abrignani <danilo.abrignani@unibo.it> (Carrier Aggregation - GSoC 2015),
+ *   Biljana Bojovic <biljana.bojovic@cttc.es> (Carrier Aggregation)
+ *   Vignesh Babu <ns3-dev@esk.fraunhofer.de> (RLF extensions)
  */
 
 #include "lte-enb-rrc.h"
@@ -140,7 +142,7 @@
 
 UeManager::UeManager()
 {
-    NS_FATAL_ERROR("this constructor is not espected to be used");
+    NS_FATAL_ERROR("this constructor is not expected to be used");
 }
 
 UeManager::UeManager(Ptr<LteEnbRrc> rrc, uint16_t rnti, State s, uint8_t componentCarrierId)
@@ -1938,18 +1940,19 @@
                           UintegerValue(0), // default tx-mode
                           MakeUintegerAccessor(&LteEnbRrc::m_defaultTransmissionMode),
                           MakeUintegerChecker<uint8_t>())
-            .AddAttribute("EpsBearerToRlcMapping",
-                          "Specify which type of RLC will be used for each type of EPS bearer.",
-                          EnumValue(RLC_SM_ALWAYS),
-                          MakeEnumAccessor(&LteEnbRrc::m_epsBearerToRlcMapping),
-                          MakeEnumChecker(RLC_SM_ALWAYS,
-                                          "RlcSmAlways",
-                                          RLC_UM_ALWAYS,
-                                          "RlcUmAlways",
-                                          RLC_AM_ALWAYS,
-                                          "RlcAmAlways",
-                                          PER_BASED,
-                                          "PacketErrorRateBased"))
+            .AddAttribute(
+                "EpsBearerToRlcMapping",
+                "Specify which type of RLC will be used for each type of EPS bearer.",
+                EnumValue(RLC_SM_ALWAYS),
+                MakeEnumAccessor<LteEpsBearerToRlcMapping_t>(&LteEnbRrc::m_epsBearerToRlcMapping),
+                MakeEnumChecker(RLC_SM_ALWAYS,
+                                "RlcSmAlways",
+                                RLC_UM_ALWAYS,
+                                "RlcUmAlways",
+                                RLC_AM_ALWAYS,
+                                "RlcAmAlways",
+                                PER_BASED,
+                                "PacketErrorRateBased"))
             .AddAttribute("SystemInformationPeriodicity",
                           "The interval for sending system information (Time value)",
                           TimeValue(MilliSeconds(80)),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-enb-rrc.h ns-3.41/src/lte/model/lte-enb-rrc.h
--- ns-3.40/src/lte/model/lte-enb-rrc.h	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-enb-rrc.h	2024-02-09 14:44:08.185792200 -0800
@@ -15,13 +15,14 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Nicola Baldo <nbaldo@cttc.es>
- *          Marco Miozzo <mmiozzo@cttc.es>
- *          Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Marco Miozzo <mmiozzo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  * Modified by:
- *          Danilo Abrignani <danilo.abrignani@unibo.it> (Carrier Aggregation - GSoC 2015)
- *          Biljana Bojovic <biljana.bojovic@cttc.es> (Carrier Aggregation)
- *          Vignesh Babu <ns3-dev@esk.fraunhofer.de> (RLF extensions)
+ *   Danilo Abrignani <danilo.abrignani@unibo.it> (Carrier Aggregation - GSoC 2015)
+ *   Biljana Bojovic <biljana.bojovic@cttc.es> (Carrier Aggregation)
+ *   Vignesh Babu <ns3-dev@esk.fraunhofer.de> (RLF extensions)
  */
 
 #ifndef LTE_ENB_RRC_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-ffr-algorithm.cc ns-3.41/src/lte/model/lte-ffr-algorithm.cc
--- ns-3.40/src/lte/model/lte-ffr-algorithm.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-ffr-algorithm.cc	2024-02-09 14:44:08.185792200 -0800
@@ -156,11 +156,11 @@
     {
         if (dlbandwidth < Type0AllocationRbg[i])
         {
-            return (i + 1);
+            return i + 1;
         }
     }
 
-    return (-1);
+    return -1;
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-ffr-distributed-algorithm.cc ns-3.41/src/lte/model/lte-ffr-distributed-algorithm.cc
--- ns-3.40/src/lte/model/lte-ffr-distributed-algorithm.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-ffr-distributed-algorithm.cc	2024-02-09 14:44:08.185792200 -0800
@@ -617,7 +617,7 @@
 
     for (auto ncIt = m_neighborCell.begin(); ncIt != m_neighborCell.end(); ncIt++)
     {
-        SendLoadInformation((*ncIt));
+        SendLoadInformation(*ncIt);
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-ffr-enhanced-algorithm.cc ns-3.41/src/lte/model/lte-ffr-enhanced-algorithm.cc
--- ns-3.40/src/lte/model/lte-ffr-enhanced-algorithm.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-ffr-enhanced-algorithm.cc	2024-02-09 14:44:08.185792200 -0800
@@ -794,7 +794,7 @@
     if (itCqi == ulCqiMap.end())
     {
         // no cqi info about this UE
-        return (NO_SINR);
+        return NO_SINR;
     }
     else
     {
@@ -813,7 +813,7 @@
         double estimatedSinr = (sinrNum > 0) ? (sinrSum / sinrNum) : DBL_MAX;
         // store the value
         (*itCqi).second.at(rb) = estimatedSinr;
-        return (estimatedSinr);
+        return estimatedSinr;
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-harq-phy.cc ns-3.41/src/lte/model/lte-harq-phy.cc
--- ns-3.40/src/lte/model/lte-harq-phy.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-harq-phy.cc	2024-02-09 14:44:08.189792200 -0800
@@ -71,14 +71,14 @@
     {
         mi += list.at(i).m_mi;
     }
-    return (mi);
+    return mi;
 }
 
 HarqProcessInfoList_t
 LteHarqPhy::GetHarqProcessInfoDl(uint8_t harqProcId, uint8_t layer)
 {
     NS_LOG_FUNCTION(this << (uint32_t)harqProcId << (uint16_t)layer);
-    return (m_miDlHarqProcessesInfoMap.at(layer).at(harqProcId));
+    return m_miDlHarqProcessesInfoMap.at(layer).at(harqProcId);
 }
 
 double
@@ -94,7 +94,7 @@
     {
         mi += list.at(i).m_mi;
     }
-    return (mi);
+    return mi;
 }
 
 HarqProcessInfoList_t
@@ -109,11 +109,11 @@
         harqList.resize(8);
         m_miUlHarqProcessesInfoMap.insert(
             std::pair<uint16_t, std::vector<HarqProcessInfoList_t>>(rnti, harqList));
-        return (harqList.at(harqProcId));
+        return harqList.at(harqProcId);
     }
     else
     {
-        return ((*it).second.at(harqProcId));
+        return (*it).second.at(harqProcId);
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-mi-error-model.cc ns-3.41/src/lte/model/lte-mi-error-model.cc
--- ns-3.40/src/lte/model/lte-mi-error-model.cc	2023-09-27 13:30:37.818839600 -0700
+++ ns-3.41/src/lte/model/lte-mi-error-model.cc	2024-02-09 14:44:08.189792200 -0800
@@ -1122,7 +1122,7 @@
         errorRate = PdcchPcfichBlerCurveYaxis[i];
     }
 
-    return (errorRate);
+    return errorRate;
 }
 
 TbStats_t
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-pdcp-header.cc ns-3.41/src/lte/model/lte-pdcp-header.cc
--- ns-3.40/src/lte/model/lte-pdcp-header.cc	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-pdcp-header.cc	2024-02-09 14:44:08.189792200 -0800
@@ -99,7 +99,7 @@
     Buffer::Iterator i = start;
 
     i.WriteU8((m_dcBit << 7) | (m_sequenceNumber & 0x0F00) >> 8);
-    i.WriteU8((m_sequenceNumber & 0x00FF));
+    i.WriteU8(m_sequenceNumber & 0x00FF);
 }
 
 uint32_t
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-phy.cc ns-3.41/src/lte/model/lte-phy.cc
--- ns-3.40/src/lte/model/lte-phy.cc	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-phy.cc	2024-02-09 14:44:08.189792200 -0800
@@ -196,13 +196,13 @@
         Ptr<PacketBurst> ret = m_packetBurstQueue.at(0)->Copy();
         m_packetBurstQueue.erase(m_packetBurstQueue.begin());
         m_packetBurstQueue.push_back(CreateObject<PacketBurst>());
-        return (ret);
+        return ret;
     }
     else
     {
         m_packetBurstQueue.erase(m_packetBurstQueue.begin());
         m_packetBurstQueue.push_back(CreateObject<PacketBurst>());
-        return (nullptr);
+        return nullptr;
     }
 }
 
@@ -224,7 +224,7 @@
         m_controlMessagesQueue.erase(m_controlMessagesQueue.begin());
         std::list<Ptr<LteControlMessage>> newlist;
         m_controlMessagesQueue.push_back(newlist);
-        return (ret);
+        return ret;
     }
     else
     {
@@ -232,7 +232,7 @@
         std::list<Ptr<LteControlMessage>> newlist;
         m_controlMessagesQueue.push_back(newlist);
         std::list<Ptr<LteControlMessage>> emptylist;
-        return (emptylist);
+        return emptylist;
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-radio-bearer-tag.h ns-3.41/src/lte/model/lte-radio-bearer-tag.h
--- ns-3.40/src/lte/model/lte-radio-bearer-tag.h	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-radio-bearer-tag.h	2024-02-09 14:44:08.189792200 -0800
@@ -27,7 +27,7 @@
 class Tag;
 
 /**
- * Tag used to define the RNTI and LC id for each MAC packet trasmitted
+ * Tag used to define the RNTI and LC id for each MAC packet transmitted
  */
 
 class LteRadioBearerTag : public Tag
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-rlc-am-header.cc ns-3.41/src/lte/model/lte-rlc-am-header.cc
--- ns-3.40/src/lte/model/lte-rlc-am-header.cc	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-rlc-am-header.cc	2024-02-09 14:44:08.189792200 -0800
@@ -404,7 +404,7 @@
             else
             {
                 i.WriteU8(((oddE << 7) & 0x80) | ((oddLi >> 4) & 0x007F));
-                i.WriteU8(((oddLi << 4) & 0x00F0)); // Padding is implicit
+                i.WriteU8((oddLi << 4) & 0x00F0); // Padding is implicit
             }
         }
     }
@@ -420,7 +420,7 @@
             NS_LOG_LOGIC(this << " no NACKs");
             // If there are no NACKs then this line adds the rest of the ACK
             // along with 0x00, indicating an E1 value of 0 or no NACKs follow.
-            i.WriteU8(((m_ackSn.GetValue() << 2) & 0xFC));
+            i.WriteU8((m_ackSn.GetValue() << 2) & 0xFC);
         }
         else
         {
@@ -440,7 +440,7 @@
                 // either the setup to enter this loop or the previous loop would
                 // have written the highest order bit to the previous octet.
                 // Write the next set of bits (2 - 9) into the next octet
-                i.WriteU8(((oddNack >> 1) & 0xFF));
+                i.WriteU8((oddNack >> 1) & 0xFF);
 
                 // Next check to see if there is going to be another NACK after
                 // this
@@ -466,13 +466,13 @@
                     else
                     {
                         // No, there are no more NACKs
-                        i.WriteU8(((evenNack << 3) & 0xF8));
+                        i.WriteU8((evenNack << 3) & 0xF8);
                     }
                 }
                 else
                 {
                     // No, this is the last NACK so E1 will be 0
-                    i.WriteU8(((oddNack << 7) & 0x80));
+                    i.WriteU8((oddNack << 7) & 0x80);
                 }
             }
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-rlc-am-header.h ns-3.41/src/lte/model/lte-rlc-am-header.h
--- ns-3.40/src/lte/model/lte-rlc-am-header.h	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-rlc-am-header.h	2024-02-09 14:44:08.189792200 -0800
@@ -107,16 +107,11 @@
      */
     uint8_t GetFramingInfo() const;
 
-    /// FramingInfoFirstByte_t enumeration
-    enum FramingInfoFirstByte_t
+    /// FramingInfoByte_t enumeration
+    enum FramingInfoByte_t
     {
         FIRST_BYTE = 0x00,
-        NO_FIRST_BYTE = 0x02
-    };
-
-    /// FramingInfoLastByte_t enumeration
-    enum FramingInfoLastByte_t
-    {
+        NO_FIRST_BYTE = 0x02,
         LAST_BYTE = 0x00,
         NO_LAST_BYTE = 0x01
     };
@@ -246,7 +241,7 @@
     /**
      * Get ack sn function
      *
-     * \returns sequence numbr
+     * \returns sequence number
      */
     SequenceNumber10 GetAckSn() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-rlc-header.cc ns-3.41/src/lte/model/lte-rlc-header.cc
--- ns-3.40/src/lte/model/lte-rlc-header.cc	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-rlc-header.cc	2024-02-09 14:44:08.189792200 -0800
@@ -204,7 +204,7 @@
         else
         {
             i.WriteU8(((oddE << 7) & 0x80) | ((oddLi >> 4) & 0x007F));
-            i.WriteU8(((oddLi << 4) & 0x00F0)); // Padding is implicit
+            i.WriteU8((oddLi << 4) & 0x00F0); // Padding is implicit
         }
     }
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-rlc-header.h ns-3.41/src/lte/model/lte-rlc-header.h
--- ns-3.40/src/lte/model/lte-rlc-header.h	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-rlc-header.h	2024-02-09 14:44:08.281792900 -0800
@@ -107,16 +107,11 @@
         E_LI_FIELDS_FOLLOWS = 1
     };
 
-    /// FramingInfoFirstByte_t typedef
-    enum FramingInfoFirstByte_t
+    /// FramingInfoByte_t typedef
+    enum FramingInfoByte_t
     {
         FIRST_BYTE = 0x00,
-        NO_FIRST_BYTE = 0x02
-    };
-
-    /// FramingInfoLastByte_t tyedef
-    enum FramingInfoLastByte_t
-    {
+        NO_FIRST_BYTE = 0x02,
         LAST_BYTE = 0x00,
         NO_LAST_BYTE = 0x01
     };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/model/lte-rlc-sequence-number.h ns-3.41/src/lte/model/lte-rlc-sequence-number.h
--- ns-3.40/src/lte/model/lte-rlc-sequence-number.h	2023-09-27 13:30:37.822839500 -0700
+++ ns-3.41/src/lte/model/lte-rlc-sequence-number.h	2024-02-09 14:44:08.281792900 -0800
@@ -144,7 +144,7 @@
     uint16_t operator-(const SequenceNumber10& other) const
     {
         uint16_t diff = m_value - other.m_value;
-        return (diff);
+        return diff;
     }
 
     /**
